oracle.pgx.config

## Class PgHbaseGraphConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphConfig
    - - oracle.pgx.config.AbstractPgGraphConfig
      - - oracle.pgx.config.PgHbaseGraphConfig

-     @Generated(value="config_generator.py")
      public class PgHbaseGraphConfig
      extends AbstractPgGraphConfig

  PGX Engine PG Hbase Graph Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PgHbaseGraphConfig.Field` Fields of PGX Engine PG Hbase Graph Config

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Integer` | `getBlockCacheSize()` block_cache_size
    `Charset` | `getCharset()` Gets the charset.
    `String` | `getCompression()` which HBase compression algorithm to use.
    `String` | `getDateFormat()` the date format to use when loading and storing date properties.
    `DbEngine` | `getDbEngine()` underlying database engine
    `List<GraphPropertyConfig>` | `getEdgeProps()` specification of edge properties associated with graph
    `GraphErrorHandlingConfig` | `getErrorHandling()` error handling configuration
    `Format` | `getFormat()` graph format (Note: `bin` is deprecated, use `pgb` instead)
    `String` | `getHadoopSecAuth()` Hadoop authentication string
    `String` | `getHbaseSecAuth()` HBase authentication string
    `String` | `getHmKerberosPrincipal()` HM Kerberos principal
    `Integer` | `getInitialEdgeNumRegions()` how many initial edge regions defined for the HBase tables
    `Integer` | `getInitialVertexNumRegions()` how many initial vertex regions defined for the HBase tables
    `String` | `getKeytab()` path to keytab file
    `GraphLoadingConfig` | `getLoading()` loading-specific configuration
    `Integer` | `getMaxNumConnections()` maximum number of database connections to use when reading the graph
    `String` | `getName()` prefix of the table name (for edge and vertex tables)
    `String` | `getRsKerberosPrincipal()` RS Kerberos principal
    `Integer` | `getSplitsPerRegion()` how many splits per region to use when scanning vertices/edges
    `String` | `getUserPrincipal()` User principal
    `Map<PgHbaseGraphConfig.Field,Object>` | `getValues()` Gets the parsed values.
    `Map<PgHbaseGraphConfig.Field,Object>` | `getValuesWithoutDefaults()` Gets the values without defaults.
    `List<GraphPropertyConfig>` | `getVertexProps()` specification of vertex properties associated with graph
    `Integer` | `getZkClientPort()` ZooKeeper client port
    `String` | `getZkQuorum()` ZooKeeper Quorum value
    `Integer` | `getZkSessionTimeout()` ZooKeeper session timeout (in milliseconds)
    `boolean` | `hasDefaultValue(PgHbaseGraphConfig.Field field)` Checks for default value.
    `int` | `hashCode()`
    `Boolean` | `isLoadEdgeLabel()` whether or not to load the edge label (string) into memory as well.
    `static PgHbaseGraphConfig` | `parse(InputStream is, boolean strict, File parent)` Parses an input stream.
    `static PgHbaseGraphConfig` | `parse(Map<String,Object> raw, boolean strict, File parent)` Parses a raw key/value mapping.
    `static PgHbaseGraphConfig` | `parse(Properties props, boolean strict)` Parses a properties file.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.config.AbstractPgGraphConfig

      `getConnection, getOraclePropertyGraph, getVertexIdType, setConnection, setOraclePropertyGraph`

    - ### Methods inherited from class oracle.pgx.config.GraphConfig

      `getEdgePropertyDefault, getEdgePropertyName, getEdgePropertyType, getNodeKeyType, getNodePropertyDefault, getNodePropertyName, getNodePropertyType, isFileFormat, isFileFormat, numEdgeProperties, numNodeProperties`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBlockCacheSize

          public Integer getBlockCacheSize()

      block_cache_size

    - #### getCharset

          public Charset getCharset()

      Gets the charset.
      Returns:
        the charset

    - #### getCompression

          public String getCompression()

      which HBase compression algorithm to use. Check HBase documentation for list of supported algorithms

    - #### getDateFormat

          public String getDateFormat()

      the date format to use when loading and storing date properties. Please see SimpleDateFormat for a documentation of the format string
      Specified by:
        `getDateFormat` in class `AbstractPgGraphConfig`
      Returns:
        the date format used for loading the graph

    - #### getDbEngine

          public DbEngine getDbEngine()

      underlying database engine
      Specified by:
        `getDbEngine` in class `AbstractPgGraphConfig`
      Returns:
        the database engine

    - #### getEdgeProps

          public List<GraphPropertyConfig> getEdgeProps()

      specification of edge properties associated with graph
      Specified by:
        `getEdgeProps` in class `GraphConfig`
      Returns:
        the list of vertex properties

    - #### getErrorHandling

          public GraphErrorHandlingConfig getErrorHandling()

      error handling configuration
      Specified by:
        `getErrorHandling` in class `GraphConfig`
      Returns:
        the error handling configuration

    - #### getFormat

          public Format getFormat()

      graph format (Note: `bin` is deprecated, use `pgb` instead)
      Specified by:
        `getFormat` in class `GraphConfig`
      Returns:
        the format

    - #### getHadoopSecAuth

          public String getHadoopSecAuth()

      Hadoop authentication string

    - #### getHbaseSecAuth

          public String getHbaseSecAuth()

      HBase authentication string

    - #### getHmKerberosPrincipal

          public String getHmKerberosPrincipal()

      HM Kerberos principal

    - #### getInitialEdgeNumRegions

          public Integer getInitialEdgeNumRegions()

      how many initial edge regions defined for the HBase tables

    - #### getInitialVertexNumRegions

          public Integer getInitialVertexNumRegions()

      how many initial vertex regions defined for the HBase tables

    - #### getKeytab

          public String getKeytab()

      path to keytab file

    - #### getLoading

          public GraphLoadingConfig getLoading()

      loading-specific configuration
      Specified by:
        `getLoading` in class `GraphConfig`
      Returns:
        the loading configuration

    - #### getMaxNumConnections

          public Integer getMaxNumConnections()

      maximum number of database connections to use when reading the graph
      Specified by:
        `getMaxNumConnections` in class `AbstractPgGraphConfig`
      Returns:
        the maximum number of connections

    - #### getName

          public String getName()

      prefix of the table name (for edge and vertex tables)
      Specified by:
        `getName` in class `GraphConfig`
      Returns:
        the graph name

    - #### getRsKerberosPrincipal

          public String getRsKerberosPrincipal()

      RS Kerberos principal

    - #### getSplitsPerRegion

          public Integer getSplitsPerRegion()

      how many splits per region to use when scanning vertices/edges
      Returns:
        the splits per region

    - #### getUserPrincipal

          public String getUserPrincipal()

      User principal

    - #### getValues

          public Map<PgHbaseGraphConfig.Field,Object> getValues()

      Gets the parsed values.
      Returns:
        the parsed values

    - #### getValuesWithoutDefaults

          public Map<PgHbaseGraphConfig.Field,Object> getValuesWithoutDefaults()

      Gets the values without defaults.
      Returns:
        the values without defaults

    - #### getVertexProps

          public List<GraphPropertyConfig> getVertexProps()

      specification of vertex properties associated with graph
      Specified by:
        `getVertexProps` in class `GraphConfig`
      Returns:
        the list of vertex properties

    - #### getZkClientPort

          public Integer getZkClientPort()

      ZooKeeper client port
      Returns:
        the ZooKeeper client port

    - #### getZkQuorum

          public String getZkQuorum()

      ZooKeeper Quorum value
      Returns:
        the ZooKeeper Quorum

    - #### getZkSessionTimeout

          public Integer getZkSessionTimeout()

      ZooKeeper session timeout (in milliseconds)
      Returns:
        the ZooKeeper session timeout

    - #### hasDefaultValue

          public boolean hasDefaultValue(PgHbaseGraphConfig.Field field)

      Checks for default value.
      Parameters:
        `field` - the field
      Returns:
        true, if value for given field is the default value

    - #### isLoadEdgeLabel

          public Boolean isLoadEdgeLabel()

      whether or not to load the edge label (string) into memory as well. If `true`, the first edge property of this config must be of type string. After loading is done, that property will hold the label strings.
      Specified by:
        `isLoadEdgeLabel` in class `AbstractPgGraphConfig`
      Returns:
        true, if edge label should be loaded

    - #### parse

          public static PgHbaseGraphConfig parse(InputStream is,
                                 boolean strict,
                                 File parent)
                                          throws IOException

      Parses an input stream.
      Parameters:
        `is` - the input stream
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config
      Throws:
        `IOException` - Signals that an I/O exception has occurred.

    - #### parse

          public static PgHbaseGraphConfig parse(Map<String,Object> raw,
                                 boolean strict,
                                 File parent)

      Parses a raw key/value mapping.
      Parameters:
        `raw` - the raw key/value mapping to parse
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config

    - #### parse

          public static PgHbaseGraphConfig parse(Properties props,
                                 boolean strict)

      Parses a properties file.
      Parameters:
        `props` - the properties to parse
        `strict` - if true, parses in strict mode
      Returns:
        the parsed graph config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `AbstractPgGraphConfig`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractPgGraphConfig`

Copyright © 2015. All rights reserved.